Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration Class Reference

| Bio Radio SDK - Xamarin Android

Classes | Public Member Functions | Properties | List of all members
GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration Class Reference

The BioRadioConfiguration class encapsulates all settings that can be defined and programmed for the BioRadio. More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration:

## Classes

class | ChannelCollection

## Public Member Functions

| BioRadioConfiguration ()
| Initializes a new instance GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration More...
override bool | Equals (object obj)
| Compare two Bio Radio Configuration for Common Fields match and for ConfigFlags and FrequencyMultiplier More...
override int | GetHashCode ()
| Get Hash code for ConfigFlags and FrequencyMultiplier fields. More...
object | Clone ()
| Coning a new bio radio configuration channel from an existing one. More...
XmlSchema | GetSchema ()
| Gets the XML schema for the BioRadioConfiguration class. More...
void | ReadXml (XmlReader reader)
| Reads the BioRadioConfiguration class as XML. More...
void | WriteXml (XmlWriter writer)
| Writes the BioRadioConfiguration class as XML. More...

## Properties

string | Name`[get, set]`
| The name of this configuration. The BioRadio can accept up to 16 ASCII characters. More...
BioPotentialTermination | Termination`[get, set]`
| Specifies whether the BioRadio is configured for single-ended or differential biopotential inputs More...
bool | PatientGroundDriven`[get, set]`
| Specifies whether the device is patient ground driven. More...
bool | PerformLeadOffDetection`[get, set]`
| Determines whether the device performs lead-off detection. More...
int | SampleRate`[get, set]`
| The sampling rate applied to the BioPotential channels. This value is in Hz. More...
ReadOnlyCollection< BioPotentialChannelConfiguration > | BioPotentialChannels`[get]`
| The collection of BioPotential Channel definitions. More...
EventMarkerChannelConfiguration | EventMarkerChannel`[get]`
| The configuration of the Event Marker channel for the device. More...
MemsChannelConfiguration | MemsChannel`[get, set]`
| The configuration of the Mems sensor for the device. More...
ChannelConfiguration [] | ExternalSensors`[get, set]`
| The collection of external sensors for this configuration. More...

## Detailed Description

The BioRadioConfiguration class encapsulates all settings that can be defined and programmed for the BioRadio.

## Constructor & Destructor Documentation

## ◆ BioRadioConfiguration()

GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.BioRadioConfiguration | ( |  | ) |

Initializes a new instance GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration

## Member Function Documentation

## ◆ Clone()

object GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.Clone | ( |  | ) |

Coning a new bio radio configuration channel from an existing one.

Returns

## ◆ Equals()

override bool GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.Equals | ( | object | obj | ) |

Compare two Bio Radio Configuration for Common Fields match and for ConfigFlags and FrequencyMultiplier

Parameters

  obj | Take a BioRadioConfiguration object.

Returns
  True if the configurations are the same.

## ◆ GetHashCode()

override int GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.GetHashCode | ( |  | ) |

Get Hash code for ConfigFlags and FrequencyMultiplier fields.

Returns
  return Hash Code.

## ◆ GetSchema()

XmlSchema GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.GetSchema | ( |  | ) |

Gets the XML schema for the BioRadioConfiguration class.

Always returns null

## ◆ ReadXml()

void GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.ReadXml | ( | XmlReader | reader | ) |

Reads the BioRadioConfiguration class as XML.

</example>

## ◆ WriteXml()

void GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.WriteXml | ( | XmlWriter | writer | ) |

Writes the BioRadioConfiguration class as XML.

</example>

## Property Documentation

## ◆ BioPotentialChannels

ReadOnlyCollection<BioPotentialChannelConfiguration> GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.BioPotentialChannels

get

The collection of BioPotential Channel definitions.

## ◆ EventMarkerChannel

EventMarkerChannelConfiguration GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.EventMarkerChannel

get

The configuration of the Event Marker channel for the device.

## ◆ ExternalSensors

ChannelConfiguration [] GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.ExternalSensors

getset

The collection of external sensors for this configuration.

## ◆ MemsChannel

MemsChannelConfiguration GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.MemsChannel

getset

The configuration of the Mems sensor for the device.

## ◆ Name

string GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.Name

getset

The name of this configuration. The BioRadio can accept up to 16 ASCII characters.

## ◆ PatientGroundDriven

bool GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.PatientGroundDriven

getset

Specifies whether the device is patient ground driven.

## ◆ PerformLeadOffDetection

bool GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.PerformLeadOffDetection

getset

Determines whether the device performs lead-off detection.

Lead off detection will cause any unconnected biopotential channels to blink if they are configured for data collection. This will give the user an indication as to whether a proper connection has been established.

## ◆ SampleRate

int GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.SampleRate

getset

The sampling rate applied to the BioPotential channels. This value is in Hz.

## ◆ Termination

BioPotentialTermination GLNeuroTech.Devices.BioRadio.Configuration.BioRadioConfiguration.Termination

getset

Specifies whether the BioRadio is configured for single-ended or differential biopotential inputs